
ctools - Action #355

Feature # 353 (Closed): ctobssim: Parallelize event simulations

Parallelize simulation loop

07/20/2012 10:42 PM - Knödlseder Jürgen

Status: Closed Start date: 07/30/2012

Priority: Normal Due date:  

Assigned To:  % Done: 100%

Category:  Estimated time: 35.00 hours

Target version: 00-05-00   

Description

The loop over the observations in ctobssim::run should be parallelized.

It should be tested that the simulated events are strictly identical for different numbers of threads.

Related issues:

Blocked by ctools - Action # 354: Set deterministic seed values for each obse... Closed 07/30/2012

History

#1 - 07/20/2012 11:08 PM - Knödlseder Jürgen

- Description updated

#2 - 07/30/2012 10:43 AM - Anonymous

- Status changed from New to In Progress

- Start date set to 07/30/2012

#3 - 07/30/2012 03:38 PM - Anonymous

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 09/14/2012 11:48 PM - Knödlseder Jürgen

- Status changed from Resolved to Closed

- Remaining (hours) changed from 35.0 to 0.0
